<template>
  <div class="wrapper">
    <nav
      v-if="permit != '1'"
      
      id="navhome"
      class="navbar navbar-expand-md navbar-dark fixed-top"
    >
      <div class="container">
        <!-- Brand -->
        <a class="navbar-brand" href="/home">
          <img src="../img/logo.png" alt="Logo" width="20" /> Assistência
          Técnica
        </a>

        <!-- Toggler/collapsibe Button -->
        <button
          class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#collapsibleNavbar"
        >
          <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Navbar links -->
        <div class="collapse navbar-collapse" id="collapsibleNavbar">
          <ul class="navbar-nav ml-auto">
          <span v-if="user" style="color:white"> {{ user }}</span>
          <li v-if="user" class="nav-item mx-5">
            <a style="color: white; cursor: pointer" @click="sair">Sair</a>
          </li>
          <li v-if="!user" class="nav-item">
            <router-link class="nav-link" to="/login">Login</router-link>
          </li>
         
          </ul>
        </div>
      </div>
    </nav>

    <!-- Sidebar  -->

    <nav v-if="permit== '1'" id="sidebar">
      <div class="sidebar-header">
        <img src="../img/logo.png" alt="Logo" width="40" />
        <h3>Assistencia Técnica</h3>
      </div>

      <ul class="list-unstyled components">
        <li>
          <p class="font-weight-bold">Menu</p>
        </li>

        <li>
          <a
            href="#SubmenuChamado"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Chamados</a
          >
          <!-- data-parent="#sidebar" faz com que feche a linha que estiver aberta-->
          <ul class="collapse list-unstyled" data-parent="#sidebar" id="SubmenuChamado">
            <li>
              <router-link to="/ListarChamados">Chamados</router-link>
            </li>
         
        
            <li>
              <router-link to="/CriarChamado">Novo Chamado</router-link>
            </li>
          </ul>
        </li>
        <!------------------------------------------------------------------------------->
        <li>
          <a
            href="#SubmenuComponente"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Componentes</a
          >
          <ul class="collapse list-unstyled" data-parent="#sidebar" id="SubmenuComponente">
            <li>
              <router-link to="/componentes">Componentes</router-link>
            </li>
          </ul>
        </li>
        <li>
          <a
            href="#SubmenuTecnicos"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Técnicos</a
          >
          <ul class="collapse list-unstyled" data-parent="#sidebar" id="SubmenuTecnicos">
            <li>
              <router-link to="/tecnicos">Técnicos</router-link>
            </li>
          </ul>
        </li>
        <li>
          <!------------------------------------------------------------------------------->
        </li>

        <li>
          <a
            href="#SubmenuClientes"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Clientes</a
          >
          <ul class="collapse list-unstyled" data-parent="#sidebar" id="SubmenuClientes">
            <li>
              <router-link to="/clientes">Clientes</router-link>
            </li>
          </ul>
        </li>
        <li>
          <!------------------------------------------------------------------------------->
        </li>

        <li>
          <a
            href="#SubmenuProdutos"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Protutos</a
          >
          <ul class="collapse list-unstyled" data-parent="#sidebar" id="SubmenuProdutos">
            <li>
              <router-link to="/produtos">Produtos</router-link>
            </li>
          </ul>
        </li>
        <li>
          <!------------------------------------------------------------------------------->
          <a
            href="#pageSubmenu"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Mais opções</a
          >
          <ul class="collapse list-unstyled"  data-parent="#sidebar" id="pageSubmenu">
            <li>
              <router-link to="/Graficos">Gráficos</router-link>
            </li>
          </ul>
        </li>
        <li>
          <a
            href="#pageConfigmenu"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
            >Configuração do Adm</a
          >
          <ul class="collapse list-unstyled" data-parent="#sidebar" id="pageConfigmenu">
            <li>
              <router-link to="/userinative">Ativar/Inativar usuários</router-link>
              
            </li>
          </ul>
        </li>
      </ul>

      <ul class="list-unstyled components">
        <li>
          <a
            href="#dropLogin"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle mb-3"
          >
            <span v-if="user"> {{ user }}</span>

            <span v-else>(Não Logado)</span>
          </a>
          <ul class="collapse list-unstyled" id="dropLogin">
            <li v-if="user">
              <a @click="sair">Logout</a>
            </li>
          </ul>
        </li>
      </ul>
    </nav>

    <!-- Page Content  -->
    <div id="content">
      <router-view />
    </div>
  </div>
</template>
<script>
export default {
  name: "SideBarPage",
  props: {
    user: String,
    permit: Number,
  },
  methods: {
    sair() {
      localStorage.removeItem("token");
      this.$parent.mudaUser(null, null);
      this.$router.push("/home");
    },
  },


};

</script>

<style scoped>
/*
    DEMO STYLE
*/

@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";
body {
  font-family: "Poppins", sans-serif;
  background: #fafafa;
}

p {
  font-family: "Poppins", sans-serif;
  font-size: 1.1em;
  font-weight: 300;
  line-height: 1.7em;
  color: #999;
}

a,
a:hover,
a:focus {
  color: inherit;
  text-decoration: none;
  transition: all 0.3s;
}

.navbar {
  padding: 15px 10px;
  background: #fff;
  border: none;
  border-radius: 0;
  margin-bottom: 40px;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
  box-shadow: none;
  outline: none !important;
  border: none;
}

.line {
  width: 100%;
  height: 1px;
  border-bottom: 1px dashed #ddd;
  margin: 40px 0;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
  display: flex;
  width: 100%;
  align-items: stretch;
}

/* Menu e Cor Menu Ativo */
#sidebar {
  min-width: 250px;
  max-width: 250px;
  background: black;
  color: #fff;
  transition: all 0.3s;
}

#sidebar.active {
  margin-left: -250px;
}

/* SideBar Cabeça */
#sidebar .sidebar-header {
  text-align: center;
  padding: 20px;
  background: black;
}

/* Linha Divisória dos componentes para "Outros, Sair" */
#sidebar ul.components {
  padding: 20px 0;
  border-bottom: 1px solid darkslategrey;
}

/* Letras Menu */
#sidebar ul p {
  color: #fff;
  padding: 10px;
}

#sidebar ul li a {
  padding: 10px;
  font-size: 1.1em;
  display: block;
}

/* Hover dos menu (Fundo e Letras) */
#sidebar ul li a:hover {
  color: darkslategrey;
  background: #fff;
}

/* Menu com Setinha quando ativo */
#sidebar ul li.active > a,
a[aria-expanded="true"] {
  color: darkslategrey;
  background: #fff;
}

a[data-toggle="collapse"] {
  position: relative;
}

.dropdown-toggle::after {
  display: block;
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
}

/* Submenu Setinha Cor */
ul ul a {
  font-size: 0.9em !important;
  padding-left: 30px !important;
  background: darkslategrey;
}

ul.CTAs {
  padding: 20px;
}

ul.CTAs a {
  text-align: center;
  font-size: 0.9em !important;
  display: block;
  border-radius: 5px;
  margin-bottom: 5px;
}

a.download {
  background: #fff;
  color: darkslategrey;
}

a.article,
a.article:hover {
  background: darkslategrey !important;
  color: #fff !important;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
  width: 100%;
  padding: 20px;
  min-height: 100vh;
  transition: all 0.3s;
}
/* ---------------------------------------------------
    NAVBAR HOME
----------------------------------------------------- */
#navhome {
  background-color: black;
  box-shadow: 2px 2px 5px darkslategrey;
  opacity: 0.9;
  margin-bottom: 4px;
}

#demo {
  margin-top: 70px;
  margin-bottom: 70px;
  margin-left: 90px;
  margin-right: 90px;
  text-align: center;
}
/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
  #sidebar {
    margin-left: -250px;
  }
  #sidebar.active {
    margin-left: 0;
  }
  #sidebarCollapse span {
    display: none;
  }
}
</style>